Page MenuHomePhabricator

Changing the alphabetical sorting (collation) @ ab.wikipedia.org (Abkhaz Wikipedia)
Closed, ResolvedPublic

Description

Originally requested and discussed here: https://meta.wikimedia.org/wiki/Tech#Sorting. Filing this task to keep track of the code and config patches.

(Abkhaz language is also known as Abkhazian, but MediaWiki uses 'Abkhaz' in languages/data/Names.php, so I'm sticking to that.)

ICU does not support Abkhazian, but we can add support for it fairly easily, using the system that @Bawolff previously implemented for Bashkir (see T162823).

Details

Related Gerrit Patches:
operations/mediawiki-config : masterSet wgCategoryCollation for abwiki (Abkhaz Wikipedia)
mediawiki/core : wmf/1.31.0-wmf.17Add collation for Abkhaz (ab)
mediawiki/core : masterAdd collation for Abkhaz (ab)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2017, 10:42 PM

Change 399537 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Add collation for Abkhaz (ab)

https://gerrit.wikimedia.org/r/399537

For testing you can import these two small dumps to your wiki:


Export of the category https://ab.wikipedia.org/wiki/Акатегориа:Гагра_араион_ақыҭақәа



Generated dump that contains just all letters and digraphs of the alphabet


matmarex triaged this task as Medium priority.Dec 29 2017, 11:17 PM

Change 399537 merged by jenkins-bot:
[mediawiki/core@master] Add collation for Abkhaz (ab)

https://gerrit.wikimedia.org/r/399537

The code is now merged, now we need to deploy the configuration change to use it for ab.wp.

Change 406185 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[operations/mediawiki-config@master] Set wgCategoryCollation for abwiki (Abkhaz Wikipedia)

https://gerrit.wikimedia.org/r/406185

Change 406187 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@wmf/1.31.0-wmf.17] Add collation for Abkhaz (ab)

https://gerrit.wikimedia.org/r/406187

I scheduled the deployment of the configuration change for next Tuesday, 30 January: https://wikitech.wikimedia.org/wiki/Deployments#deploycal-item-20180130T1400 (this is the soonest I can be available).

I will also be backporting the collation patch to wmf.17, as otherwise we would have to wait until at least 8 February (there are no regular MediaWiki deployments this week and next).

Change 406187 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.17] Add collation for Abkhaz (ab)

https://gerrit.wikimedia.org/r/406187

Change 406185 merged by jenkins-bot:
[operations/mediawiki-config@master] Set wgCategoryCollation for abwiki (Abkhaz Wikipedia)

https://gerrit.wikimedia.org/r/406185

matmarex closed this task as Resolved.Feb 5 2018, 8:04 PM

Deployed! Categories such as https://ab.wikipedia.org/wiki/Акатегориа:Гагра_араион_ақыҭақәа now display in the new order. Please let us know if you run into any problems with the new feature.